# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/sdl-config bzlib-devel gcc-c++ libX11-devel libmng-devel libogg-devel libtheora-devel
# END SourceDeps(oneline)
Name:		stratagus
Summary:	Real-time strategy gaming engine
Version:	2.2.4
Release:	alt1_15
License:	GPLv2
Group:		Games/Strategy
URL:		http://stratagus.sourceforge.net/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}-src.tar.gz
Patch0:		stratagus--use_external_tolua.diff
Patch1:		stratagus-gcc43.patch
# currently broken
Patch2:		stratagus--guichan_external.diff
Patch3:		stratagus-includes.patch
Patch4:         stratagus-libpng15.patch
BuildRequires:	libmikmod-devel
BuildRequires:	tolua++-devel
BuildRequires:  liblua5-devel
BuildRequires:	bzip2-devel
BuildRequires:	libpng-devel
BuildRequires:	libvorbis-devel
BuildRequires:	zlib-devel
BuildRequires:	libSDL-devel
BuildRequires:  libGL-devel
BuildRequires:  libGLU-devel
BuildRequires:	dos2unix
Source44: import.info


%description
Stratagus is a free cross-platform real-time strategy gaming engine. It
includes support for playing over the internet/LAN, or playing a
computer opponent. The engine is configurable and can be used to create
games with a wide-range of features specific to your needs. See the
data sets page ( http://stratagus.sourceforge.net/games.shtml ) for a list
of current games using the stratagus engine.

%prep
%setup -q
%patch0
%patch1 -p1 -b .gcc43
#%patch2 -p0 -b .guichan
%patch3 -p1 -b .includes
%patch4 -p0 -b .libpng15
dos2unix doc/graphics/stratagus.gimp
dos2unix doc/scripts/makeindex.py
dos2unix doc/scripts/showindex.py
dos2unix doc/scripts/findlua.py
dos2unix doc/metaserver_protocol.txt
dos2unix doc/README-SDL.txt
dos2unix README
iconv -f iso8859-1 -t utf8 doc/guichan-copyright.txt > doc/guichan-copyright.utf8 && mv -f doc/guichan-copyright.{utf8,txt}

%build
%configure	--with-x \
		--with-bz2 \
		--with-ogg \
		--with-mikmod \
		--with-opengl

%{__make}

%install
install -D -p -m 755 %{name} $RPM_BUILD_ROOT%{_bindir}/%{name}

%files
%doc README doc/
%{_bindir}/%{name}

%changelog
* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 2.2.4-alt1_15
- initial fc import

* Fri Aug 25 2006 Alexey Tourbin <at@altlinux.ru> 2.1rel-alt2
- sync debian stratagus_2.1-9.1.diff.gz

* Mon Jun 12 2006 Alexey Tourbin <at@altlinux.ru> 2.1rel-alt1
- updated to 2.1 release
- hacked for lua-5.1
- Battle of Survival data files to be packaged separately (noarch)

* Wed Jun 30 2004 Kachalov Anton <mouse@altlinux.ru> 2.1pre2-alt1
- new version 2.1pre2

* Wed Mar 10 2004 Kachalov Anton <mouse@altlinux.ru> 2.0-alt1
- first build for Sisyphus
